% Q	Q function
%  Y=Q(X) is the Q function for each element of X.  It is defined as:
%
%  Q(x) = 1/sqrt(2*pi) * integral from x to inf of exp(-t^2 / 2) dt.
%       = 1/2 erfc(x/sqrt(2))
%
%  See also Qinv, erfc

function y=Q(x)
  y=1/2 * erfc(x/sqrt(2));
