%***************************
% Written by Farinaz Edalat
% May 9, 2005
%***************************
% Description: This function is used to load bit assignments for pilot symbols
% and data symbols to be used by the blocks "int_vector_constant" and
% "int_vector_pilotconstant" in SystemOFDM library. This is particulary
% used for wideband OFDM systems where the number of subchannels is greater
% than 64. 
% One must modify the code to load a desired bit assignment
% ************************************************************************************************

function [vec_bit_settings, vec_pilotbit_settings]= bits_load(length)

vec_bit_settings = zeros(1,length);
vec_pilotbit_settings = zeros(1,length);

% This sets all data subcarriers to 8-bits and all pilots to 1-bit
for (i=1:length) 
    vec_bit_settings(i) = 8;
    vec_pilotbit_settings(i) = 1;
end

% If want to set the high-frequency subcarriers to 0-bits and the rest to
% 8-bits :
% for (i=1:length/4) 
%     vec_bit_settings(i) = 8;
%     vec_pilotbit_settings(i) = 1;
% end
% 
% for (i=length/4+1:3*length/4)
%      vec_bit_settings(i) = 0;    
%      vec_pilotbit_settings(i) = 1;
% end
% 
% for (i=3*length/4+1:length)
%     vec_bit_settings(i) = 8;
%     vec_pilotbit_settings(i) = 0;
% end

save vec_bit_settings.dat vec_bit_settings -ascii;
save vec_pilotbit_settings.dat vec_pilotbit_settings -ascii;