%***************************
% Written by Farinaz Edalat
% May 9, 2005
%***************************

%*************************************************************************
% Description: Calculate the BER and symbol_error_probabilities from simulation
%*************************************************************************

% Give Parameters:*****************
x = loadsig_cppsim('test_rx.tr0');
N = 8; % num_channels
p = 1 ; % num_pilots
%**********************************

%*********** Finding BERs **************************
k = 0;
vec_errorbits = [];
vec_totalbits = [];
for (n = 1:N)
    vec_error_bits = sprintf('vec_error_bits_%d',k);
    vec_total_bits = sprintf('vec_total_bits_%d',k);
    error_bits = evalsig(x,vec_error_bits);
    total_bits = evalsig(x,vec_total_bits);
    k = k+1;
    l = length(total_bits);

    vec_errorbits = [vec_errorbits error_bits(l)]; 
    vec_totalbits = [vec_totalbits total_bits(l)-p];
end

vec_errorbits 
vec_totalbits  
ber = vec_errorbits ./ vec_totalbits
%*****************************************************

%********** Finding SYMBOL error probabilities *******
% k = 0;
% vec_errorsyms = [];
% vec_totalsyms = [];
% for (n = 1:N)
%     vec_error_syms = sprintf('vec_error_syms_%d',k);
%     vec_total_syms = sprintf('vec_total_syms_%d',k);
%     error_syms = evalsig(x,vec_error_syms);
%     total_syms = evalsig(x,vec_total_syms);
%     k = k+1;
%     l = length(total_syms);
% 
%     vec_errorsyms = [vec_errorsyms error_syms(l)]; 
%     vec_totalsyms = [vec_totalsyms total_syms(l)-p];
% end
% 
% vec_errorsyms
% vec_totalsyms
% sym_error_prob = vec_errorsyms ./ vec_totalsyms
%*****************************************************
